<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: online_users_panel.php
| Author: Martin Boka
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."online_phpfusion_sk_panel/locale/".$settings['locale'].".php")) {
	require_once INFUSIONS."online_phpfusion_sk_panel/locale/".$settings['locale'].".php";
} else {
	require_once INFUSIONS."online_phpfusion_sk_panel/locale/Lithuanian.php";
}
add_to_head("
<script type='text/javascript' src='".INFUSIONS."online_phpfusion_sk_panel/script.js'></script>
<link rel='stylesheet' type='text/css' href='".INFUSIONS."online_phpfusion_sk_panel/style.css' />
<!--[if IE]><link rel='stylesheet' type='text/css' href='".INFUSIONS."online_phpfusion_sk_panel/ie.css' /><![endif]-->");

function online_before($time){
global $on;
$time = time() - $time;
if($time>31536000) $val = round($time/31536000).'&nbsp;'.$on[8]; 
else if($time>2419200) $val = round($time/2419200).'&nbsp;'.$on[7]; 
else if($time>604800) $val = round($time/604800).'&nbsp;'.$on[6]; 
else if($time>86400) $val = round($time/86400).'&nbsp;'.$on[5]; 
else if($time>3600) $val = round($time/3600).'&nbsp;'.$on[4];        
else if($time>60) $val = round($time/60).'&nbsp;'.$on[3]; 
else $val = $on[2]; 
 return $val;
}
function rank($user_level){
global $on;
 if ($user_level == 101){return $on[11];}
 elseif($user_level == 102){return $on[9];}
 elseif($user_level == 103){return $on[10];}
 else{return $on[12];}
}
openside($on[0]);
$result = dbquery(
	"SELECT user_lastvisit,user_id,user_name,user_level,user_avatar FROM ".DB_USERS."
  ORDER BY user_lastvisit DESC LIMIT 12"
);
echo "<div class='onlineContainer'>\n";
while ($data = dbarray($result)) {
$avatar = (empty($data['user_avatar']))? "noavatar50.png" : $data['user_avatar'];
$status = online_before($data['user_lastvisit']);
$class = ($status == "Online")? "onlineOn" : "onlineOff";
echo "<div class='onlineFrame'>\n
       <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' title='".$data['user_name']."'><img src='".IMAGES."avatars/".$avatar."' alt='' class='".$class."'/></a>\n
       <span><img src='".IMAGES."avatars/".$avatar."' alt='' />".$data['user_name']."
        <br />".$on[1]." ".$status."
        <br />".rank($data['user_level'])."
       </span>\n
      </div>\n";
 
}
echo "</div>\n";
closeside();
?>